/*=============================================================================*/
/*
# Author: Max [ trlsmax@gmail.com ]
#
# Last modified:	2010-09-30 12:49
#
# Filename:		lcd.h
#
# Description: 1602LCD驱动头文件
*/
/*=============================================================================*/
#ifndef _LCD_H_
#define _LCD_H_

#include <intrins.h>
#include <reg51.h>

/* 数据类型声明 */
#ifndef _INT8_
#define int8        char
#define uint8       unsigned char
#define int16       int
#define uint16      unsigned int
#define int32       long
#define uint32      unsigned long
#endif

#define ONE         0
#define TWO         1
#define THREE         2

/* LCD硬件端口定义 */
#define DATA_PORT       P0
sbit    lcd_rs =        P2^7;
sbit    lcd_rw =        P2^6;
sbit    lcd_en =        P2^5;

/* 函数声明 */
void lcd_init(void);
void lcd_write_cmd(uint8 cmd);
void lcd_write_dat(uint8 dat);
void lcd_set_xy(uint8 x, uint8 y);
void lcd_write_str(uint8 x, uint8 y, uint8 *str) reentrant;
void lcd_write_num(uint8 x, uint8 y, uint16 num,uint8 n) reentrant;

#endif
