/*=============================================================================*/
/*
# Author: Max [ trlsmax@gmail.com ]
#
# Last modified:	2010-09-30 12:49
#
# Filename:		main.h
#
# Description: 电子快门程序头文件
*/
/*=============================================================================*/
#ifndef _MAIN_H_
#define _MAIN_H_

/* 数据类型声明 */
#ifndef _INT8_
#define int8        char
#define uint8       unsigned char
#define int16       int
#define uint16      unsigned int
#define int32       long
#define uint32      unsigned long
#endif

#include <stdio.h>
#include <reg51.h>
#include "lcd.h"

/* IO声明 */
sbit key0 = P1^0;
sbit key1 = P1^1;
sbit key2 = P1^2;
sbit key3 = P1^3;
sbit key4 = P1^4;
sbit led = P2^4;
sbit shuter = P2^3;
sbit test = P2^1;

/* 关闭/开启定时器宏 */
#define STOP_TIMER0()       TR0=0
#define START_TIMER0()      TR0=1

/* 按键键值定义 */
#define NO_KEY      0x00
#define KEY_0       0x01
#define KEY_1       0x02
#define KEY_2       0x03
#define KEY_3       0x04
#define KEY_4       0x05

/* 系统状态定义 */
#define S_IDLE      0
#define S_SETTING   1
#define S_RUNNING   2
#define S_PAUSE     3

/* 选择项值定义 */
#define SEL_SLOT    0
#define SEL_LOOP100 1
#define SEL_LOOP    2
#define SEL_HOUR    3
#define SEL_MIN     4
#define SEL_SEC     5
#define NO_SEL      6

#define TRUE        1
#define FALSE       0

#define NUM_OF_SLOT     9
#define NUM_OF_LOOP     999

/* 曝光时间数据结构声明 */
struct _time_tag_ {
    uint8 finish;
    uint16 loop;
    int8 hour;
    int8 min;
    int8 sec;
};

/* 快门操作宏定义 */
#define SHUTER_CLOSE()    shuter=1
#define SHUTER_OPEN()     shuter=0

#endif
